Name:           perl-Bit-Vector
Version:        7.4
Release:        15
Summary:        An efficient C library which allows you to handle bit vectors
License:        (GPLv2+ or Artistic) and LGPLv2+
URL:            https://metacpan.org/release/Bit-Vector
Source0:        https://cpan.metacpan.org/authors/id/S/ST/STBEY/Bit-Vector-%{version}.tar.gz
BuildRequires:  gcc perl-generators perl(Carp::Clan) >= 5.3 perl(Config) perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(integer) perl(overload) perl(Storable) >= 2.21 perl(strict) perl(vars)
BuildRequires:  perl(ExtUtils::MakeMaker) findutils make perl-devel
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Carp::Clan) >= 5.3 perl(Storable) >= 2.21

%{?perl_default_filter}

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Bit::Vector\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Carp::Clan\\)\s*$

%description
Bit::Vector - bit vectors of arbitrary length (base class)
Versatile implementation of bit vectors of arbitrary length
with efficient and easy-to-use methods for various applications,
especially sets.Base class for all applications and classes 
using bit vectors as their underlying data type.Provides
overloaded arithmetic and relational operators for maximum
comfort.

%package help
Summary: Help document for the perl-Bit-Vector package

%description help
Help document for the perl-Bit-Vector package.

%prep
%setup -q -n Bit-Vector-%{version}
chmod -c 644 examples/*.pl
perl -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' examples/benchmk1.pl
perl -pi -e 's|^#!perl\b|#!%{__perl}|' examples/{benchmk{2,3},primes,SetObject}.pl

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc GNU_GPL.txt GNU_LGPL.txt CREDITS.txt
%{perl_vendorarch}/{Bit/,auto/Bit/}

%files help
%doc Artistic.txt CHANGES.txt README.txt examples/
%{_mandir}/man3/*.3*

%changelog
* Wed Jun 02 2021 zhaoyao<zhaoyao32@huawei.com> - 7.4-15
- fixs faileds: /bin/sh: gcc: command not found.

* Fri Nov 22 2019 wutao <wutao61@huawei.com> - 7.4-14
- Package init
